import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import MistralAiLogoLight from './MistralAiLogoLight';
import MistralAiLogoDark from './MistralAiLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const MistralAiLogoSvg = forwardRef(function MistralAiLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(MistralAiLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(MistralAiLogoLight, Object.assign({}, props, { ref: ref })));
});
export default MistralAiLogoSvg;
